%{?mingw32_package_header}

Name:		mingw32-libewf
Version:	20140608
Release:	0%{?dist}
Summary:        MinGW compiled libewf for the Win32 target.
License:	GPLv2+
Group:		Applications/System
Source0:	libewf-%version.tar.gz
Patch0:		libuna_gcc5.patch
BuildArch:	noarch

BuildRequires:	mingw32-binutils
BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-gcc-c++
BuildRequires:	mingw32-openssl
BuildRequires:	mingw32-win-iconv
BuildRequires:	mingw32-zlib
BuildRequires:  mingw32-pkg-config

%description
MinGW compiled libewf for the Win32 target.

#% { ? mingw32_debug_package }

%prep
%setup -q -n libewf-%{version}
%patch0 -p1

%build
MINGW32_CFLAGS="%{mingw32_cflags} -std=gnu89" %mingw32_configure --disable-multi-threading-support
%mingw32_make %{?_smp_mflags} lib
%install
rm -rf $RPM_BUILD_ROOT
%mingw32_make install DESTDIR=$RPM_BUILD_ROOT

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Drop the man pages
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}

%files -n mingw32-libewf
%{mingw32_bindir}/libewf-2.dll
%{mingw32_includedir}/libewf.h
%{mingw32_includedir}/libewf/codepage.h
%{mingw32_includedir}/libewf/definitions.h
%{mingw32_includedir}/libewf/error.h
%{mingw32_includedir}/libewf/extern.h
%{mingw32_includedir}/libewf/features.h
%{mingw32_includedir}/libewf/types.h
%{mingw32_libdir}/libewf.a
%{mingw32_libdir}/libewf.dll.a
%{mingw32_libdir}/pkgconfig/libewf.pc
%{mingw32_bindir}/ewfacquire.exe
%{mingw32_bindir}/ewfacquirestream.exe
%{mingw32_bindir}/ewfdebug.exe
%{mingw32_bindir}/ewfexport.exe
%{mingw32_bindir}/ewfinfo.exe
%{mingw32_bindir}/ewfmount.exe
%{mingw32_bindir}/ewfrecover.exe
%{mingw32_bindir}/ewfverify.exe


%changelog

